/*****************************************************************************
 *  Solomon Systech. SSD1963 LCD controller driver
 *****************************************************************************
 * FileName:        main.c
 * Processor:       STM32F10X
 * Compiler:       	RealView MDK
 * Company:			PowerMCU Company
 * Remarks:			The origin of this file was the ssd1926.c driver released
 *					by Microchip Technology Incorporated. 
 * Versions:        1.0
 *
 * Author:          PowerAVR 	    2010/06/03
 * www.PowerMCU.com
 * www.PowerAVR.com
 ******************************************************************************
 *	 Kod zmieniony skonfigurowany dla obsługi wyświetlacza ITDB02-4.3
 *	 www.ArduinoSolutions.com
 *
 *
******************************************************************************/
#include "stm32f10x.h"
#include "ssd1963.h"
extern void ResetDevice(void);
extern void ClearDevice(u16 color);
extern void GUI_Text(uint16_t Xpos, uint16_t Ypos, uint8_t *str,uint16_t Color, uint16_t bkColor);
extern void SetBacklight(uint8_t intensity);


int main(void)
{
	u8 i;

	SystemInit();
	ResetDevice();
	SetBacklight(0xff);
	DelayMs(10);
//	GetBacklight();
//	GetPllStatus();
	ClearDevice(Black);
	DelayMs(10);
		ClearDevice(Blue);
	DelayMs(10);
		ClearDevice(Red);
	DelayMs(10);
	GUI_Text(50,50,"ITDB02-4.3 Demo",White,Red);    
    GUI_Text(50,70,"WWW.ARDUINOSOLUTIONS.COM",White,Red);
	GUI_Text(0,256,"0,256",White,Red);
	GUI_Text(0,0,"0,0",White,Red);
	GUI_Text(430,0,"430,0",White,Red);
	GUI_Text(410,256,"410,256",White,Red);


}


